Skip to content

Sync Custom Objects

POST /rest/v1/customobjects/{customObjectName}.json

Permissions Read-Write Custom Object

Build a request and mock the response

Method: POST
Path: /rest/v1/customobjects/{customObjectName}.json
Tag: Custom Objects
Operation ID: syncCustomObjectsUsingPOST

Inserts, updates, or upserts custom object records to the target instance. Required Permissions: Read-Write Custom Object

Formats

  • Request: application/json
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
customObjectName string Yes customObjectName

Request body

Name: syncCustomObjectRequest
Required: Yes
Schema: model: SyncCustomObjectRequest

syncCustomObjectRequest

Generated example

{
  "action": "createOnly",
  "dedupeBy": "string",
  "input": [
    {
      "marketoGUID": "123",
      "reasons": [
        {
          "code": "string",
          "message": "string"
        }
      ],
      "seq": 123
    }
  ]
}

Referenced models

Example request

POST {{base_url}}/rest/v1/customobjects/{{customObjectName}}.json
Content-Type: application/json
Accept: application/json

{
  "action": "createOnly",
  "dedupeBy": "string",
  "input": [
    {
      "marketoGUID": "123",
      "reasons": [
        {
          "code": "string",
          "message": "string"
        }
      ],
      "seq": 123
    }
  ]
}

Responses

200 — OK

Schema: model: ResponseOfCustomObject

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "moreResult": false,
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "marketoGUID": "123",
      "reasons": [
        {
          "code": "string",
          "message": "string"
        }
      ],
      "seq": 123
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Source

Generated from swagger-mapi.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.